package com.fs.his.mapper;

import java.util.List;
import com.fs.his.domain.FsMaterial;

/**
 * 素材库Mapper接口
 * 
 * @author fs
 * @date 2023-07-06
 */
public interface FsMaterialMapper 
{
    /**
     * 查询素材库
     * 
     * @param materialId 素材库主键
     * @return 素材库
     */
    public FsMaterial selectFsMaterialByMaterialId(Long materialId);

    /**
     * 查询素材库列表
     * 
     * @param fsMaterial 素材库
     * @return 素材库集合
     */
    public List<FsMaterial> selectFsMaterialList(FsMaterial fsMaterial);

    /**
     * 新增素材库
     * 
     * @param fsMaterial 素材库
     * @return 结果
     */
    public int insertFsMaterial(FsMaterial fsMaterial);

    /**
     * 修改素材库
     * 
     * @param fsMaterial 素材库
     * @return 结果
     */
    public int updateFsMaterial(FsMaterial fsMaterial);

    /**
     * 删除素材库
     * 
     * @param materialId 素材库主键
     * @return 结果
     */
    public int deleteFsMaterialByMaterialId(Long materialId);

    /**
     * 批量删除素材库
     * 
     * @param materialIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFsMaterialByMaterialIds(Long[] materialIds);
}
